/**
 * @file    timer.h
 * @brief   This file provides all the functions protypes for the 
 *          timer-routines
 * @author  ELV Elektronik AG
**/
/*-----------------------------------------------------------------------------
 * Copyright (c) 2021-2022 ELV Elektronik AG - info@elv.com
 * 
 * This file is part of ELV-SH-IRS8 Firmware.
 * ELV-SH-IRS8 Firmware is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * ELV-SH-IRS8 Firmware is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with ELV-SH-IRS8 Firmware. If not, see <https://www.gnu.org/licenses/>. 
 *---------------------------------------------------------------------------*/
#ifndef __TIMER_H__
#define __TIMER_H__

/*
 *  Typedefs ----------------------------------------------------------------
 */
typedef enum
{
  TIMER_100US    = (1 << 0),
  TIMER_1MS      = (1 << 1),
  TIMER_5MS      = (1 << 2),
  TIMER_10MS     = (1 << 3),
  TIMER_50MS     = (1 << 4),
  TIMER_100MS    = (1 << 5),
  TIMER_500MS    = (1 << 6),
  TIMER_1S       = (1 << 7)
} time_flag_t;

/*
 * Function prototypes section ------------------------------------------------
 */
extern void TIMER_reset_time_flag(time_flag_t time_flag);
extern uint8_t TIMER_is_time_flag_set(time_flag_t time_flag);
extern void TIMER_do_timer(void);

extern void Delay_ms( uint16_t delay );
#endif
/** @}
 * End of file
**/

